Security Advisories » History » Version 7

Version 6 (Jean-Philippe Lang, 2012-09-30 12:53) → Version 7/32 (Jean-Philippe Lang, 2013-01-09 17:29)

h1. Redmine Security Advisories

This page lists the security vulnerabilities that were fixed in Redmine releases, starting from 1.3.0. If you think that you've found a security vulnerability, please report it by sending an email to: @security(at)redmine.org@.

|_. Severity|_. Details|_. Affected versions|
|\3{padding:1em}. Fixed in Redmine version:2.2.1, version:2.1.6, version:1.4.6|
|{background-color:#f88}. Critical|Ruby on Rails vulnerability ("announcement":http://weblog.rubyonrails.org/2013/1/8/Rails-3-2-11-3-1-10-3-0-19-and-2-3-15-have-been-released/)|All prior releases|
|\3{padding:1em}. Fixed in Redmine
version:2.1.2|
|{background-color:#ff8}. Moderate|XSS vulnerability|2.1.0 and 2.1.1|
|\3{padding:1em}. Fixed in Redmine version:1.3.2|
|{background-color:#fb8}. High|Persistent XSS vulnerability (referenced as "JVN#93406632":http://jvn.jp/en/jp/JVN93406632/, "CVE-2012-0327":http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2012-0327)|All prior releases|
|{background-color:#ff8}. Moderate|Mass-assignemnt vulnerability that would allow an attacker to bypass part of the security checks|All prior releases|
|\3{padding:1em}. Fixed in Redmine version:1.3.0|
|{background-color:#fb8}. High|Vulnerability that would allow an attacker to bypass the CSRF protection|All prior releases|